/**
 * GitDocumentDB plugin for remote connection using NodeGit
 * Copyright (c) Hidekazu Kubota
 *
 * This source code is licensed under the Mozilla Public License Version 2.0
 * found in the LICENSE file in the root directory of this source tree.
 */
/**
 * Ping to host
 */
/**
 * Check HTTP connection
 * @remarks
 * requestTimeout and socketTimeout must be greater than 0.
 * Timeout is not set if timeout is less than 0.
 *
 * @throws {@link Err.HttpProtocolRequiredError}
 * @throws {@link Err.HTTPNetworkError}
 * @throws {@link Err.RequestTimeoutError}
 * @throws {@link Err.SocketTimeoutError}
 *
 * @internal
 */
export declare function checkHTTP(url: string, requestTimeout: number, socketTimeout?: number): Promise<{
    ok: boolean;
    code?: number;
}>;
//# sourceMappingURL=net.d.ts.map